% Flegel/Birnstiel/Nerreter, Elektrotechnik
% Kapitel 2, Aufgabe 12
clc
syms R1 R2 R3 R4 Iq
R1 = 1000; % I1 + I3 = Iq
R2 = 1000; % I2 + I4 = Iq
R3 = 1000; % I1 - I2 - I5 = 0
R4 = 680;  % R1*I1 - R3*I3 + R5*I5 = 0
R5 = 100;  % -R2*I2 + R4*I4 + R5*I5 = 0
Iq = 15e-3;
M=[1 0 1 0 0; 0 1 0 1 0; 1 -1 0 0 -1; R1 0 -R3 0 R5; 0 -R2 0 R4 R5];
Rs=[Iq; Iq; 0; 0; 0];
x=linsolve(M,Rs);
I5=double(x(1)-x(2));
disp('Lsung 2.12');
disp(['I5 = ',sprintf(' %4.6f ',1000*I5),'mA']);