% Flegel/Birnstiel/Nerreter, Elektrotechnik
% Kapitel 6, Aufgabe 15
syms L C w R;
clc
L=15e-3;
RS=24;
C=0.47e-6;
f=1000;
w=2*pi*f;
disp(' ');
disp('Lsung 6.15');
eqn=L==C*R^2/(1+(w*C*R)^2);
x = solve(eqn,R);
y=subs(x(1)); % in die symbolische Lsung von solve mssen die Werte
z=subs(x(2)); % der Variablen substituiert werden
if y>0; R2=double(y); else R2=double(z); end
disp(' ');
disp(['R2 = ',sprintf(' %2.4f ',R2),'Ohm']);
RAB=1500;
Rvor=RAB - R2/(1+(w*C*R2)^2) - RS;
disp(['Rvor = ',sprintf(' %4.4f ',Rvor),'Ohm']);