% Flegel/Birnstiel/Nerreter, Elektrotechnik
% Kapitel 7, Aufgabe 9
clc
syms A C d eps V;
V = 8.3e-6; % V = 2 A (l + d)
C = 4.7e-6; % C = 2 eps A / l
epsr = 2.3;
eps0 = 8.854e-12;
eps = epsr * eps0;
d =0.1e-6;
eqn=V==2*A*(2*eps*A/C) + d;
x = solve(eqn,A);
A1=subs(x(1)); % in die symbolische Lsung von solve mssen die Werte
A2=subs(x(2)); % der Variablen substituiert werden
if A1>0; A = double(A1); else A = double(A2); end
disp('Lsung 7.9');
disp(' ');
disp(['A = ',sprintf(' %2.4f ',A),'m2']);
l = 2*eps*A/C;
disp(['l = ',sprintf(' %2.4f ',1.0e6*l),'um']);